% Testing problem: Reconstruction of orientation distribution function (ODF).
%
% Matlab software for the paper "The regularizing effect of the Golub-Kahan 
% iterative bidiagonalization and revealing the noise level in the data", 
% by I. Hnetynkova, M. Plesinger, and Z. Strakos.
%
% Content.m ....... Table of content.
% csvd.m .......... Compact singular value decomposition, part of [1].
% goka_b.m ........ Golub-Kahan bidiagonalization; it is a modified routine 
%                   lanc_b.m from [1]. (Note that, if the bidiagonaliztion is
%                   computed with Householder reorthogonalization, the routine
%                   app_hh.m from [1] is needed, it is not a part of this pack.)
% ODFdata.mat ..... Contains all data for the problem:
%                   the system matrix "A", 
%                   the exact right-hand side "b" (also in "bexact"), and
%                   the exact solution "x" (also rearranged in 3D array "X3D"). 
% testODF.m ....... Launches the testing problem!
% 
% [1] P. C. Hansen -- Regularization Tools, Version 4.0 for MATLAB 7.3.

% Author of this code: P. C. Hansen; modified by M. Plesinger, April, 2009.
 